---
names:
  full: Azure Non-RBAC Key Vault stores Keys without expiration date
  contextual: Non-RBAC Key Vault stores Keys without expiration date
description: Ensure that all Keys in Non Role Based Access Control (RBAC) Azure Key
  Vaults have an expiration date set.
type: COMPLIANCE_POLICY
categories:
  - SECURITY
frameworkMappings:
  - "/frameworks/cis-azure-v5.0.0/08/03/02"
  - "/frameworks/cloudaware/secret-and-certificate-governance/expiration-management"
frameworkIgnoreMappings:
  - "/frameworks/cis-azure-v1.1.0/08/01"
  - "/frameworks/cis-azure-v1.3.0/08/01"
similarPolicies:
  internal:
    - dec-x-0feec790
  cloudConformity:
    - url: https://www.trendmicro.com/cloudoneconformity/knowledge-base/azure/KeyVault/key-expiration-check.html
      name: Check for Azure Key Vault Keys Expiration Date
